diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/Viewport.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/Viewport.java
index 89ef13929..9805540c4 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/Viewport.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/Viewport.java
@@ -1,12 +1,11 @@
 package org.useless.seedviewer.gui.components;
 
 import com.mojang.logging.LogUtils;
+import net.minecraft.core.world.pos.ChunkPos;
+import net.minecraft.core.world.pos.ChunkTilePos;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 import org.useless.seedviewer.bta.BTAWorld;
-import org.useless.seedviewer.collections.ChunkLocation;
-import org.useless.seedviewer.collections.ChunkPos2D;
-import org.useless.seedviewer.collections.ChunkPos3D;
 import org.useless.seedviewer.collections.ObjectWrapper;
 import org.useless.seedviewer.data.ViewerBiome;
 import org.useless.seedviewer.data.ViewerChunk;
@@ -48,7 +47,7 @@ public class Viewport extends JLabel {
     public static final float ZOOM_MIN = 1f;
     public static final float ZOOM_MAX = 16f;
 
-    private final Map<ChunkLocation, ChunkView> chunkViewMap = new HashMap<>();
+    private final Map<ChunkPos, ChunkView> chunkViewMap = new HashMap<>();
     private final Set<ChunkView> chunksPendingPostProcess = new HashSet<>();
     private final BufferedImage slimeVignette;
 
@@ -84,7 +83,7 @@ public class Viewport extends JLabel {
         } catch (IOException e) {
             LOGGER.error("Failed to load slime vignette!");
         }
-        slimeVignette = _vignette;
+        this.slimeVignette = _vignette;
 
         try {
             setSeed(Long.parseLong(seedViewer.launchProperties.getProperty("seed", "100")));
@@ -103,17 +102,17 @@ public class Viewport extends JLabel {
             @Override
             public void mousePressed(MouseEvent e) {
                 if (e.getButton() == MouseEvent.BUTTON1) {
-                    lastLeftClickPoint = e.getPoint();
+                    Viewport.this.lastLeftClickPoint = e.getPoint();
                 }
             }
         });
         addMouseMotionListener(new MouseMotionAdapter() {
             @Override
             public void mouseDragged(MouseEvent e) {
-                if (lastLeftClickPoint != null) {
-                    int dx = e.getX() - lastLeftClickPoint.x;
-                    int dy = e.getY() - lastLeftClickPoint.y;
-                    lastLeftClickPoint = e.getPoint();
+                if (Viewport.this.lastLeftClickPoint != null) {
+                    int dx = e.getX() - Viewport.this.lastLeftClickPoint.x;
+                    int dy = e.getY() - Viewport.this.lastLeftClickPoint.y;
+                    Viewport.this.lastLeftClickPoint = e.getPoint();
 
                     offsetView(-dx, dy);
                 }
@@ -130,8 +129,8 @@ public class Viewport extends JLabel {
     public synchronized void tick() {
         Rectangle viewportBounds = getViewportBounds();
         Rectangle unloadBounds = new Rectangle(viewportBounds.x - VIEWPORT_UNLOAD_OVERSCAN, viewportBounds.y - VIEWPORT_UNLOAD_OVERSCAN, viewportBounds.width + VIEWPORT_UNLOAD_OVERSCAN * 2, viewportBounds.height + VIEWPORT_UNLOAD_OVERSCAN * 2);
-        Set<ChunkLocation> removalQueue = new HashSet<>();
-        for (ChunkView view : chunkViewMap.values()) {
+        Set<ChunkPos> removalQueue = new HashSet<>();
+        for (ChunkView view : this.chunkViewMap.values()) {
             if (unloadBounds.intersects(view.getWorldBounds())) {
                 view.lastSeenTime = System.currentTimeMillis();
             }
@@ -139,24 +138,24 @@ public class Viewport extends JLabel {
                 removalQueue.add(view.getLocation());
             }
         }
-        for (ChunkLocation location : removalQueue) {
+        for (ChunkPos location : removalQueue) {
             removeChunkView(location);
         }
 
         addMissingViewers(viewportBounds);
 
-        if (showTerrain.get() && world.get() != null) {
+        if (this.showTerrain.get() && this.world.get() != null) {
             List<ChunkView> unpendedChunks = new ArrayList<>();
-            for (ChunkView view : chunksPendingPostProcess) {
+            for (ChunkView view : this.chunksPendingPostProcess) {
                 if (!view.hasInit()) continue;
                 if (view.hasProcessed()) continue;
-                ChunkLocation up = new ChunkLocation(view.getLocation().x, view.getLocation().z - 1);
-                if (chunkViewMap.containsKey(up) && chunkViewMap.get(up).hasInit()) {
-                    view.process(chunkViewMap.get(up));
+                ChunkPos up = new ChunkPos(view.getLocation().x, view.getLocation().z - 1);
+                if (this.chunkViewMap.containsKey(up) && this.chunkViewMap.get(up).hasInit()) {
+                    view.process(this.chunkViewMap.get(up));
                     unpendedChunks.add(view);
                 }
             }
-            unpendedChunks.forEach(chunksPendingPostProcess::remove);
+            unpendedChunks.forEach(this.chunksPendingPostProcess::remove);
         }
         repaint();
 
@@ -168,22 +167,22 @@ public class Viewport extends JLabel {
     }
 
     public synchronized void addMissingViewers(Rectangle viewportBounds) {
-        ChunkLocation topLeftLocation =
-            new ChunkLocation(viewportBounds.x/ ViewerChunk.CHUNK_SIZE_X,
+        ChunkPos topLeftLocation =
+            new ChunkPos(viewportBounds.x/ ViewerChunk.CHUNK_SIZE_X,
                 viewportBounds.y/ ViewerChunk.CHUNK_SIZE_Z);
         int chunksX = viewportBounds.width/ ViewerChunk.CHUNK_SIZE_X;
         int chunksZ = viewportBounds.height/ ViewerChunk.CHUNK_SIZE_Z;
 
-        List<ChunkLocation> pendingLocation = new ArrayList<>();
+        List<ChunkPos> pendingLocation = new ArrayList<>();
         for (int _x = topLeftLocation.x; _x < topLeftLocation.x + chunksX; _x++) {
             for (int _z = topLeftLocation.z; _z < topLeftLocation.z + chunksZ; _z++) {
-                ChunkLocation location = new ChunkLocation(_x, _z);
-                if (chunkViewMap.containsKey(location)) continue;
+                ChunkPos location = new ChunkPos(_x, _z);
+                if (this.chunkViewMap.containsKey(location)) continue;
                 pendingLocation.add(location);
             }
         }
         pendingLocation.sort((o1, o2) -> {
-            ChunkLocation viewLoc = new ChunkLocation((int) Math.floor(viewX.get()/ ViewerChunk.CHUNK_SIZE_X), (int) Math.floor(-viewZ.get()/ ViewerChunk.CHUNK_SIZE_Z));
+            ChunkPos viewLoc = new ChunkPos((int) Math.floor(this.viewX.get()/ ViewerChunk.CHUNK_SIZE_X), (int) Math.floor(-this.viewZ.get()/ ViewerChunk.CHUNK_SIZE_Z));
             int d1;
             {
                 int dx = o1.x - viewLoc.x;
@@ -204,96 +203,96 @@ public class Viewport extends JLabel {
     public synchronized void setSeed(long seed) {
         this.seed.set(seed);
         clearChunkViews();
-        viewX.set(0F);
-        viewZ.set(0F);
-        chunkProvider = new BTAChunkProvider(this.seed.get());
-        seedViewer.queueResize();
+        this.viewX.set(0F);
+        this.viewZ.set(0F);
+        this.chunkProvider = new BTAChunkProvider(this.seed.get());
+        this.seedViewer.queueResize();
     }
 
     public synchronized void setWorld(@Nullable File file) {
         if (file != null) {
             try {
-                world.set(new BTAWorld(file));
-                chunkProvider = Objects.requireNonNull(world.get()).getChunkProvider();
+                this.world.set(new BTAWorld(file));
+                this.chunkProvider = Objects.requireNonNull(this.world.get()).getChunkProvider();
             } catch (Exception e) {
                 LOGGER.error("", e);
-                world.set(null);
-                chunkProvider = new BTAChunkProvider(seed.get());
+                this.world.set(null);
+                this.chunkProvider = new BTAChunkProvider(this.seed.get());
             }
         } else {
-            world.set(null);
-            chunkProvider = new BTAChunkProvider(seed.get());
+            this.world.set(null);
+            this.chunkProvider = new BTAChunkProvider(this.seed.get());
         }
 
         clearChunkViews();
-        viewX.set(0F);
-        viewZ.set(0F);
-        seedViewer.queueResize();
+        this.viewX.set(0F);
+        this.viewZ.set(0F);
+        this.seedViewer.queueResize();
     }
 
     public Rectangle getViewportBounds() {
-        final int blockX = (int) Math.floor((viewX.get() - (getWidth()/(zoom.get() * 2))));
-        final int blockZ = (int) Math.floor((-viewZ.get() - (getHeight()/(zoom.get() * 2))));
-        final int widthBlocks = (int) Math.ceil((getWidth()/zoom.get()));
-        final int heightBlocks = (int) Math.ceil((getHeight()/zoom.get()));
+        final int blockX = (int) Math.floor((this.viewX.get() - (getWidth()/(this.zoom.get() * 2))));
+        final int blockZ = (int) Math.floor((-this.viewZ.get() - (getHeight()/(this.zoom.get() * 2))));
+        final int widthBlocks = (int) Math.ceil((getWidth()/ this.zoom.get()));
+        final int heightBlocks = (int) Math.ceil((getHeight()/ this.zoom.get()));
         return new Rectangle(blockX - (ViewerChunk.CHUNK_SIZE_X * VIEWPORT_CHUNKS_OVERSCAN), blockZ - (ViewerChunk.CHUNK_SIZE_Z * VIEWPORT_CHUNKS_OVERSCAN), widthBlocks + ViewerChunk.CHUNK_SIZE_X * (VIEWPORT_CHUNKS_OVERSCAN * 2 + 1), heightBlocks + ViewerChunk.CHUNK_SIZE_Z * (VIEWPORT_CHUNKS_OVERSCAN * 2 + 1));
     }
 
     public synchronized void offsetZoom(float delta) {
-        setZoom(zoom.get() + delta);
+        setZoom(this.zoom.get() + delta);
     }
 
     public synchronized void setZoom(float newZoom) {
         if (newZoom < Viewport.ZOOM_MIN) newZoom = Viewport.ZOOM_MIN;
         if (newZoom > Viewport.ZOOM_MAX) newZoom = Viewport.ZOOM_MAX;
-        zoom.set(newZoom);
+        this.zoom.set(newZoom);
         repaint();
     }
 
     public synchronized void offsetView(float deltaX, float deltaZ) {
-        setOffsetView(viewX.get() + (deltaX / zoom.get()), viewZ.get() + (deltaZ / zoom.get()));
+        setOffsetView(this.viewX.get() + (deltaX / this.zoom.get()), this.viewZ.get() + (deltaZ / this.zoom.get()));
     }
 
     public synchronized void setOffsetView(float newX, float newZ) {
-        viewX.set(newX);
-        viewZ.set(newZ);
+        this.viewX.set(newX);
+        this.viewZ.set(newZ);
         repaint();
     }
 
-    public synchronized void addChunkView(ChunkLocation location) {
-        ChunkView view = new ChunkView(this, location, chunkProvider);
-        chunkViewMap.put(location, view);
-        chunksPendingPostProcess.add(view);
+    public synchronized void addChunkView(ChunkPos location) {
+        ChunkView view = new ChunkView(this, location, this.chunkProvider);
+        this.chunkViewMap.put(location, view);
+        this.chunksPendingPostProcess.add(view);
     }
 
-    public synchronized void removeChunkView(ChunkLocation location) {
-        ChunkView view = chunkViewMap.remove(location);
+    public synchronized void removeChunkView(ChunkPos location) {
+        ChunkView view = this.chunkViewMap.remove(location);
         if (view != null) {
             view.kill();
-            chunksPendingPostProcess.remove(view);
+            this.chunksPendingPostProcess.remove(view);
         }
     }
 
     public synchronized void clearChunkViews() {
-        chunkViewMap.forEach((l, c) -> c.kill());
-        chunkViewMap.clear();
-        chunksPendingPostProcess.clear();
+        this.chunkViewMap.forEach((l, c) -> c.kill());
+        this.chunkViewMap.clear();
+        this.chunksPendingPostProcess.clear();
     }
 
-    private ChunkLocation lastHoveredLocation = null;
+    private ChunkPos lastHoveredLocation = null;
     private ViewerChunk lastHoveredChunk = null;
     public synchronized ViewerBiome getHoveredBiome() {
-        ChunkLocation chunkLocation = new ChunkLocation((int) Math.floor(viewX.get()/ ViewerChunk.CHUNK_SIZE_X), (int) Math.floor(-viewZ.get()/ ViewerChunk.CHUNK_SIZE_Z));
+        ChunkPos chunkLocation = new ChunkPos((int) Math.floor(this.viewX.get()/ ViewerChunk.CHUNK_SIZE_X), (int) Math.floor(-this.viewZ.get()/ ViewerChunk.CHUNK_SIZE_Z));
         ViewerChunk chunk;
-        if (lastHoveredLocation != null && lastHoveredChunk != null && lastHoveredLocation.equals(chunkLocation)) {
-            chunk = lastHoveredChunk;
+        if (this.lastHoveredLocation != null && this.lastHoveredChunk != null && this.lastHoveredLocation.equals(chunkLocation)) {
+            chunk = this.lastHoveredChunk;
         } else {
-            chunk = chunkProvider.getChunk(chunkLocation);
-            lastHoveredChunk = chunk;
-            lastHoveredLocation = chunkLocation;
+            chunk = this.chunkProvider.getChunk(chunkLocation);
+            this.lastHoveredChunk = chunk;
+            this.lastHoveredLocation = chunkLocation;
         }
-        ChunkPos2D c2D = new ChunkPos2D(((int) Math.floor(viewX.get())) - chunkLocation.x * ViewerChunk.CHUNK_SIZE_X, ((int) Math.floor(-viewZ.get())) - chunkLocation.z * ViewerChunk.CHUNK_SIZE_Z);
-        return chunk.getBiome(new ChunkPos3D(c2D.x, chunk.getHeight(c2D), c2D.z));
+        ChunkTilePos c2D = new ChunkTilePos(((int) Math.floor(this.viewX.get())) - chunkLocation.x * ViewerChunk.CHUNK_SIZE_X, 0, ((int) Math.floor(-this.viewZ.get())) - chunkLocation.z * ViewerChunk.CHUNK_SIZE_Z);
+        return chunk.getBiome(new ChunkTilePos(c2D.x, chunk.getHeight(c2D), c2D.z));
     }
 
     @Override
@@ -308,17 +307,17 @@ public class Viewport extends JLabel {
         synchronized (this) {
 //            long start = System.nanoTime();
             Rectangle viewportBounds = getViewportBounds();
-            long seed = world.get() == null ? this.seed.get() : world.get().getSeed();
-            for (ChunkView view : chunkViewMap.values()) {
+            long seed = this.world.get() == null ? this.seed.get() : this.world.get().getSeed();
+            for (ChunkView view : this.chunkViewMap.values()) {
                 if (!viewportBounds.intersects(view.getWorldBounds())) continue;
                 int blockX = view.getLocation().x * ViewerChunk.CHUNK_SIZE_X;
                 int blockZ = view.getLocation().z * ViewerChunk.CHUNK_SIZE_Z;
 
-                int subImgX = (int) Math.floor((blockX - viewX.get()) * zoom.get() + getWidth()/2d);
-                int subImgZ = (int) Math.floor((blockZ + viewZ.get()) * zoom.get() + getHeight()/2d);
-                int subImgWidth = (int) Math.floor(ViewerChunk.CHUNK_SIZE_X * zoom.get());
-                int subImgHeight = (int) Math.floor(ViewerChunk.CHUNK_SIZE_Z * zoom.get());
-                if (showTerrain.get() && world.get() != null) {
+                int subImgX = (int) Math.floor((blockX - this.viewX.get()) * this.zoom.get() + getWidth()/2d);
+                int subImgZ = (int) Math.floor((blockZ + this.viewZ.get()) * this.zoom.get() + getHeight()/2d);
+                int subImgWidth = (int) Math.floor(ViewerChunk.CHUNK_SIZE_X * this.zoom.get());
+                int subImgHeight = (int) Math.floor(ViewerChunk.CHUNK_SIZE_Z * this.zoom.get());
+                if (this.showTerrain.get() && this.world.get() != null) {
                     g.drawImage(view.getTerrainMapImage(),
                         subImgX,
                         subImgZ,
@@ -327,7 +326,7 @@ public class Viewport extends JLabel {
                         null,
                         null);
                 }
-                if (showBiomes.get()) {
+                if (this.showBiomes.get()) {
                     g.drawImage(view.getBiomeMapImage(),
                         subImgX,
                         subImgZ,
@@ -336,9 +335,9 @@ public class Viewport extends JLabel {
                         null,
                         null);
                 }
-                if (showSlimeChunks.get() && SeedViewer.isSlimeChunk(seed, view.getLocation())) {
+                if (this.showSlimeChunks.get() && SeedViewer.isSlimeChunk(seed, view.getLocation())) {
                     Graphics gSlime = g.create();
-                    if (slimeVignette == null) {
+                    if (this.slimeVignette == null) {
                         gSlime.setColor(new Color(64, 255, 120, 128));
                         gSlime.fillRect(
                             subImgX,
@@ -346,7 +345,7 @@ public class Viewport extends JLabel {
                             subImgWidth,
                             subImgHeight);
                     } else {
-                        gSlime.drawImage(slimeVignette,
+                        gSlime.drawImage(this.slimeVignette,
                             subImgX,
                             subImgZ,
                             subImgWidth,
@@ -356,7 +355,7 @@ public class Viewport extends JLabel {
                     gSlime.dispose();
                 }
             }
-            if (showChunkBorders.get()) {
+            if (this.showChunkBorders.get()) {
                 int leftChunk = viewportBounds.x / ViewerChunk.CHUNK_SIZE_X;
                 int widthChunks = viewportBounds.width / ViewerChunk.CHUNK_SIZE_X;
                 int topChunk = viewportBounds.y / ViewerChunk.CHUNK_SIZE_Z;
@@ -366,19 +365,19 @@ public class Viewport extends JLabel {
                 gBorders.setColor(new Color(0, 0, 0, 64));
                 for (int _x = leftChunk; _x <= leftChunk + widthChunks; _x++) {
                     float blockX = (_x * ViewerChunk.CHUNK_SIZE_X);
-                    int subImgX = (int) Math.floor((blockX - viewX.get()) * zoom.get() + getWidth()/2d);
+                    int subImgX = (int) Math.floor((blockX - this.viewX.get()) * this.zoom.get() + getWidth()/2d);
 
                     gBorders.drawLine(subImgX, 0, subImgX, getHeight());
                 }
                 for (int _z = topChunk; _z < topChunk + heightChunks; _z++) {
                     float blockZ = (_z * ViewerChunk.CHUNK_SIZE_Z);
-                    int subImgZ = (int) Math.floor((blockZ + viewZ.get()) * zoom.get() + getHeight()/2d);
+                    int subImgZ = (int) Math.floor((blockZ + this.viewZ.get()) * this.zoom.get() + getHeight()/2d);
 
                     gBorders.drawLine(0, subImgZ, getWidth(), subImgZ);
                 }
                 gBorders.dispose();
             }
-            if (showCrosshair.get()) {
+            if (this.showCrosshair.get()) {
                 Graphics gCrosshair = g.create();
                 int centX = getWidth()/2;
                 int centZ = getHeight()/2;
diff --git a/util/seed-viewer/src/test/java/SeedViewerTest.java b/util/seed-viewer/src/test/java/SeedViewerTest.java
index cd25fefb4..e81ab71c3 100644
--- a/util/seed-viewer/src/test/java/SeedViewerTest.java
+++ b/util/seed-viewer/src/test/java/SeedViewerTest.java
@@ -1,7 +1,7 @@
+import net.minecraft.core.world.pos.ChunkPos;
 import org.junit.jupiter.api.Assertions;
 import org.junit.jupiter.api.DisplayName;
 import org.junit.jupiter.api.Test;
-import org.useless.seedviewer.collections.ChunkLocation;
 import org.useless.seedviewer.gui.SeedViewer;
 
 public class SeedViewerTest {
@@ -12,34 +12,34 @@ public class SeedViewerTest {
         {
             long seed = 100;
             Assertions.assertAll(
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(3, -4))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(8, -7))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(15, 0))));
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(3, -4))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(8, -7))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(15, 0))));
             Assertions.assertAll(
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(11, -5))),
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(12, -8))),
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(12, -11))),
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(0, -17))),
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(-4, -11))));
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(11, -5))),
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(12, -8))),
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(12, -11))),
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(0, -17))),
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(-4, -11))));
         }
         {
             long seed = 10000;
             Assertions.assertAll(
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(2, 0))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(6, -4))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(0, -6))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(5, 3))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(7, 7))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(6, 7))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(3, 11))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(8, 13))),
-                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkLocation(10, 3))));
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(2, 0))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(6, -4))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(0, -6))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(5, 3))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(7, 7))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(6, 7))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(3, 11))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(8, 13))),
+                () -> Assertions.assertTrue(SeedViewer.isSlimeChunk(seed, new ChunkPos(10, 3))));
             Assertions.assertAll(
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(10, -1))),
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(12, -4))),
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(8, -10))),
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(5, -14))),
-                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkLocation(0, -11))));
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(10, -1))),
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(12, -4))),
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(8, -10))),
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(5, -14))),
+                () -> Assertions.assertFalse(SeedViewer.isSlimeChunk(seed, new ChunkPos(0, -11))));
         }
 
     }
